package ru.yandex.wmconsole.data.info;

import ru.yandex.wmconsole.data.MainMirrorRequestStateEnum;
import ru.yandex.wmconsole.data.MainMirrorStateEnum;
import ru.yandex.wmtools.common.data.info.WMUserInfo;

import java.util.Date;

/**
 * @author avhaliullin
 */
public class MainMirrorRequestHistoryInfo extends ShortMainMirrorRequestInfo{
    private final WMUserInfo userInfo;
    private final String hostName;

    public MainMirrorRequestHistoryInfo(MainMirrorRequestStateEnum requestState, MainMirrorStateEnum state, Date created, Date modified, long hostId, WMUserInfo userInfo, String hostName) {
        super(requestState, state, created, modified, hostId);
        this.userInfo = userInfo;
        this.hostName = hostName;
    }

    public WMUserInfo getUserInfo() {
        return userInfo;
    }

    public String getHostName() {
        return hostName;
    }
}
